PHP Manual
Prev |  | Next

# dbplus_xlockrel

(4.1.0 - 4.2.3 only, PECL)

dbplus_xlockrel -- Request exclusive lock on relation

## Description

int dbplus_xlockrel ( resource relation )

Request an exclusive lock on `relation` preventing even read access from other clients.

## Parameters

`relation`

  A relation opened by dbplus_open().

## Return Values

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## See Also

dbplus_xunlockrel()

Prev | Home | Next
dbplus_update | Up | dbplus_xunlockrel